from django.contrib import admin
from .models import  BankAccount,BankName, Admission, Students
# Register your models here.
from django.utils.html import format_html


class BankNameTable(admin.ModelAdmin):
    list_display = ['bank']
    list_filter = ['bank']
admin.site.register(BankName, BankNameTable)

class BankTable(admin.ModelAdmin):
    list_display = ['bank', 'account']
    list_filter = ['bank', 'account']
admin.site.register(BankAccount, BankTable)

class StudentTable(admin.ModelAdmin):
    def pdf_url(self, obj):
        return format_html('<a href="/professional_pdf/%s" target="_blank">PDF</a>' % (obj.id))
    pdf_url.short_description = 'URL'
    list_display = ['std_name','std_prof','std_fall','created_on','std_total', 'pdf_url']
    list_filter = ['std_name']
    search_fields = ['std_name','std_prof','std_fall']

admin.site.register(Students, StudentTable)

class AdmissionTable(admin.ModelAdmin):
    def pdf_url(self, obj):
        return format_html('<a href="/admission_pdf/%s" target="_blank">PDF</a>' % (obj.id))
    pdf_url.short_description = 'URL'
    list_display = ['std_name','std_program','created_on','std_total', 'pdf_url']
    list_filter = ['std_name']
    search_fields = ['std_name','std_prof','std_fall']

admin.site.register(Admission, AdmissionTable)